Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001217Core InformSource text and punctuationpublic2014-04-06 20:582014-05-07 07:33
ReporterNYKevin 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001217: "The action of the yourself waiting" cannot be put in a stored action global variable
DescriptionIn the source text below, Inform incorrectly identifies "the action of the yourself waiting" as an object rather than a stored action and disallows the initial assignment.
Minimal Source Text To Reproduce
The best idea yet is a stored action that varies.  The best idea yet is the action of the yourself 
waiting.

There is room.
Additional InformationHere's the error message:

The sentence 'The best idea yet is the action of the yourself waiting' (source text, line 1) tells me that 'best idea yet', which is a stored action that varies, should start out with the value 'action of the yourself waiting', but this is an object and not a stored action.

Using the same literal in a different context shows that it is, indeed, a stored action:

When play begins:
Showme the action of the yourself waiting.

Furthermore, "the action of waiting" will produce a different value if the player is not the yourself (specifically, it will use the player as the actor), so I can't see an obvious workaround for this bug. See this text for an example:

The cave is a room. In the cave is a lamp.

The best idea yet is a stored action that varies. The best idea yet is the action of taking the lamp.

In the cave is a woman called Alice. The player is Alice. The yourself is in the cave.

When play begins:
Try the best idea yet.

The rule tries Alice taking the lamp instead of the yourself taking the lamp. As an unrelated issue, it appears the yourself is not actually in the cave despite the source's instructions; has anyone reported that yet?
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0002615)
EmacsUser (manager)
2014-04-06 21:32

Confirmed. I'll split off the second issue mentioned shortly.
(0002644)
graham (administrator)
2014-05-03 15:16

Fixed. Inform wanted the word "trying" to be between the actor's name and the action proper; in other contexts it's more relaxed, and permits this to be omitted where there's no ambiguity.

- Issue History
Date Modified Username Field Change
2014-04-06 20:58 NYKevin New Issue
2014-04-06 21:32 EmacsUser Note Added: 0002615
2014-04-06 21:32 EmacsUser Reproducibility have not tried => always
2014-04-06 21:32 EmacsUser Status new => confirmed
2014-04-06 21:32 EmacsUser Category Kinds and type checking => Source text and punctuation
2014-04-06 21:41 EmacsUser Issue cloned 0001218
2014-05-03 15:16 graham Note Added: 0002644
2014-05-03 15:16 graham Status confirmed => resolved
2014-05-03 15:16 graham Resolution open => fixed
2014-05-03 15:16 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker